Bug 490240 - ERROR: opStack corrupted in compiled code (offset 1059740985)
ERROR: opStack corrupted in compiled code (offset 1059740985)
Status: CLOSED DUPLICATE of bug 602374
Product: Fedora
Classification: Fedora
Component: tremulous (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 19:20 EDT by Mace Moneta
Modified: 2010-07-23 20:39 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 602374 (view as bug list)
Environment:
Last Closed: 2010-06-07 10:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2009-03-13 19:20:23 EDT
Description of problem:

Tremulous fails to start:

compiling ui
running assembler < /tmp/ui.s_3Uvu9T > /tmp/ui.o_8ohJ5v
done
computing jump table
VM file ui compiled to 6261955 bytes of code (0x7f6f3c660000 - 0x7f6f3cc58cc3)
ui loaded in 4596672 bytes on the hunk
UI menu load time = 191 milli seconds
UI menu load time = 17 milli seconds
UI menu load time = 12 milli seconds
********************
ERROR: opStack corrupted in compiled code (offset 1059740985)

********************
----- CL_Shutdown -----
Closing SDL audio device...
SDL audio device shut down.
RE_Shutdown( 1 )
----- CL_Shutdown -----
recursive shutdown
Sys_Error: recursive error after: opStack corrupted in compiled code (offset 1059740985)


Version-Release number of selected component (if applicable):

tremulous-1.1.0-8.fc11.x86_64

How reproducible:

Always

Steps to Reproduce:
1.Run tremulous
2.
3.
  
Actual results:

Sys_Error: recursive error after: opStack corrupted in compiled code (offset 1059740985)

Expected results:

Game play

Additional info:
Comment 1 Aaron Luchko 2009-05-26 01:00:24 EDT
I'm getting the same error running an Intel Core 2 Duo CPU E7400, and an NVIDIA 9600GT with the NVIDIA-Linux-x86_64-180.51 driver.
Comment 2 Bug Zapper 2009-06-09 08:13:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ian Weller 2009-06-23 10:26:00 EDT
(In reply to comment #1)
> I'm getting the same error running an Intel Core 2 Duo CPU E7400, and an NVIDIA
> 9600GT with the NVIDIA-Linux-x86_64-180.51 driver.  

Could you run rpm -q tremulous and paste the output here?
Comment 4 Aaron Luchko 2009-06-23 10:52:54 EDT
$ rpm -q tremulous
tremulous-1.1.0-8.fc11.x86_64
Comment 5 Tomasz Torcz 2009-06-24 17:10:42 EDT
I'm getting this error with Intel G45 (X4500 MHD) graphics and tremulous-1.1.0-8.fc11.x86_64.
Comment 6 Stefano Tognon 2009-07-04 09:42:32 EDT
Same error with ATI Radeon HD2600XT, Intel Quad Core Q6600
tremulous-1.1.0-8.fc11.x86_64
Comment 7 Ian Weller 2009-07-13 12:18:29 EDT
I'm looking into some patches that other distributions have added to their tremulous packages.
Comment 8 Ian Weller 2009-07-13 17:59:47 EDT
Is there anybody who is having this problem who is on a 32-bit processor?
Comment 9 Ian Weller 2009-07-13 18:22:31 EDT
OK, sorry guys, is an x86_64 problem. A temporary workaround is to remove tremulous, then "yum install tremulous.i586 mesa-libGL.i586", which will install the 32-bit version.

If you are using the proprietary nvidia drivers from rpmfusion-nonfree, you'll also need to "yum install xorg-x11-drv-nvidia-libs.i586".

Patches from Debian appeared to not do any good, so if I can't find a way to fix this I'll have to ExcludeArch: x86_64. :(
Comment 10 Tomasz Torcz 2009-07-14 01:25:33 EDT
What upstream has to say about this?
Comment 11 Debarshi Ray 2009-10-01 15:33:08 EDT
Any updates on this?
Comment 12 Ian Weller 2009-10-01 18:15:18 EDT
Unfortunately no, not yet.
Comment 13 Erwan Velu 2009-10-14 04:47:28 EDT
I'm the MandrivaLinux packager of Tremulous. I've been working on that bug yesterday, and according to the discussion I had with the team, it seems this bug cannot be solved by a "simple" patch.

We have two options:
- wait the 1.2 release which doesn't have a defined release date.
- use the mercenariesguild code of the client

I did choose the second option accordingly to the #tremlous chan leaders. I have to say it works pretty well.

If you want to pickup my work on it, let's have a look at :
http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages?view=rev&revision=457200

Cheers,
Comment 14 Ian Weller 2009-11-19 22:57:37 EST
Thanks, Erwan. I'm working on this now.
Comment 15 Eduardo Villagrán Morales 2009-12-03 09:18:56 EST
I have same problem on Fedora 12 x86_64 with tremulous-1.1.0-10.fc12.x86_64

====================================
computing jump table
VM file ui compiled to 6261955 bytes of code (0x7fbc6e1d6000 - 0x7fbc6e7cecc3)
ui loaded in 4596672 bytes on the hunk
UI menu load time = 439 milli seconds
UI menu load time = 47 milli seconds
UI menu load time = 39 milli seconds
********************
ERROR: opStack corrupted in compiled code (offset 1880375657)

********************
----- CL_Shutdown -----
Closing SDL audio device...
SDL audio device shut down.
RE_Shutdown( 1 )
----- CL_Shutdown -----
recursive shutdown
Sys_Error: recursive error after: opStack corrupted in compiled code (offset 1880375657)
Comment 16 Brun Gionni 2010-03-08 15:43:59 EST
Same problem here in Fedora rawhide x86_64
tremulous x86_64 1.1.0-10.fc12
tremulous-data noarch 1.1.0-7.fc12


computing jump table
VM file ui compiled to 6261955 bytes of code (0x7f527cb49000 - 0x7f527d141cc3)
ui loaded in 4596672 bytes on the hunk
UI menu load time = 654 milli seconds
UI menu load time = 44 milli seconds
UI menu load time = 35 milli seconds
********************
ERROR: opStack corrupted in compiled code (offset 524101929)

********************
----- CL_Shutdown -----
Closing SDL audio device...
SDL audio device shut down.
RE_Shutdown( 1 )
----- CL_Shutdown -----
recursive shutdown
Sys_Error: recursive error after: opStack corrupted in compiled code (offset 524101929)
Comment 17 Bug Zapper 2010-04-27 09:11:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Ian Weller 2010-04-27 17:30:55 EDT
I'm assuming this is still happening in F13.
Comment 19 David Bate 2010-05-11 17:47:52 EDT
(In reply to comment #18)
> I'm assuming this is still happening in F13.    

Yes it is Ian, I see the status has been updated to F13 but to confirm - the problem still exists.

Fedora 13 x86_64
tremulous-1.1.0-10.fc12.x86_64
tremulous-data-1.1.0-7.fc12.noarch

********************
ERROR: opStack corrupted in compiled code (offset 1425486368)

********************
----- CL_Shutdown -----
Closing SDL audio device...
SDL audio device shut down.
RE_Shutdown( 1 )
----- CL_Shutdown -----
recursive shutdown
Sys_Error: recursive error after: opStack corrupted in compiled code (offset 1425486368)
Comment 20 Richard Shaw 2010-05-21 14:33:23 EDT
I'm trying to install the 32-bit version to work around the problem but it doesn't seems to exist in Fedora 13.

$ yum --enablerepo=fedora\* --disablerepo=*debug*,*source* list tremulous\*
Loaded plugins: presto, refresh-packagekit
Installed Packages
tremulous-data.noarch                   1.1.0-7.fc12                     @fedora
Available Packages
tremulous.x86_64                        1.1.0-10.fc12                    fedora 


Am I missing something?
Comment 21 Mace Moneta 2010-06-07 10:44:41 EDT
I don't care about this issue anymore.
Comment 22 Paul Lipps 2010-06-07 10:58:40 EDT
Umm I do, and maybe others do. Can you please re-open and just remove yourself from the CC list please?
Comment 23 Frederik Hertzum 2010-07-14 18:20:02 EDT
Please reopen this bug. Whether or not the OP cares about it or not doesn't matter.
Comment 24 Paul Lipps 2010-07-14 19:27:38 EDT
New bug was opened. 602374

https://bugzilla.redhat.com/show_bug.cgi?id=602374
Comment 25 Frederik Hertzum 2010-07-14 19:49:16 EDT
(In reply to comment #24)
> New bug was opened. 602374
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=602374    

Please mark this as a duplicate of the new bug.
Comment 26 Ian Weller 2010-07-14 19:51:58 EDT
(In reply to comment #25)
> (In reply to comment #24)
> > New bug was opened. 602374
> > 
> > https://bugzilla.redhat.com/show_bug.cgi?id=602374    
> 
> Please mark this as a duplicate of the new bug.    

Just do it yourself instead of making more noise.

*** This bug has been marked as a duplicate of bug 602374 ***
Comment 27 Frederik Hertzum 2010-07-23 20:39:36 EDT
(In reply to comment #26)
> (In reply to comment #25)
> > (In reply to comment #24)
> > > New bug was opened. 602374
> > > 
> > > https://bugzilla.redhat.com/show_bug.cgi?id=602374    
> > 
> > Please mark this as a duplicate of the new bug.    
> 
> Just do it yourself instead of making more noise.
> 
> *** This bug has been marked as a duplicate of bug 602374 ***    

Fearing that this will just be "more noise" and it will make some people upset: I would, but I can't. I don't generally ask people to do things for me, if it would be easier to just do them myself.

Note You need to log in before you can comment on or make changes to this bug.